<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes();
Route::get('/', function () {
    // dd('gelo');
    return redirect()->route('login');
});


Route::get('/dashboard', 'DashboardController@index')->name('dashboard');


Route::middleware('auth')->group(function () {
    // Route::resource('member', 'MemberController');

    Route::get('member/create', 'MemberController@create')->name('member.create');
    Route::post('member/store', 'MemberController@store')->name('member.store');

    Route::get('members/pending', 'MemberController@pending')->name('members.pending');
    Route::get('members/pending/list', 'MemberController@pending_list')->name('members.pending.list');

    Route::get('members/active', 'MemberController@active')->name('members.active');
    Route::get('members/active/list', 'MemberController@active_list')->name('members.active.list');

    Route::get('members/live', 'MemberController@live')->name('members.live');
    Route::get('members/live/list', 'MemberController@live_list')->name('members.live.list');
    Route::post('members/add_fee', 'MemberController@add_fee')->name('add_fee');
    Route::post('members/view_slip', 'MemberController@view_slip')->name('members.view_slip');
    Route::post('members/print_form', 'MemberController@print_form')->name('member.print_form');



    Route::get('members/verified', 'MemberController@verified')->name('members.verified');
    Route::get('members/verified/list', 'MemberController@verified_list')->name('members.verified.list');



    Route::get('members/enable_disable', 'MemberController@enable_disable')->name('members.enable_disable');
    Route::post('members/profile_picture', 'MemberController@profile_picture')->name('members.profile_picture');
    Route::post('members/mark_decease', 'MemberController@mark_decease')->name('members.mark_decease');
    Route::post('members/mark_live', 'MemberController@mark_live')->name('members.mark_live');




    Route::post('member/add_father', 'MemberController@add_father')->name('member.add_father');
    Route::post('member/add_mother', 'MemberController@add_mother')->name('member.add_mother');
    Route::post('member/add_wife', 'MemberController@add_wife')->name('member.add_wife');
    Route::post('member/add_husband', 'MemberController@add_husband')->name('member.add_husband');
    Route::post('member/enable', 'MemberController@enable')->name('member.enable');
    Route::post('member/activate_autorize', 'MemberController@activate_autorize')->name('member.activate_autorize');
    Route::post('member/move_to_pending', 'MemberController@move_to_pending')->name('member.move_to_pending');
    Route::post('member/get_num', 'MemberController@get_num')->name('members.get_num');

    Route::get('members/{id}/addfather', 'MemberController@addfather')->name('addfather');
    Route::get('members/{id}/addmother', 'MemberController@addmother')->name('addmother');
    Route::get('members/{id}/addwife', 'MemberController@addwife')->name('addwife');
    Route::get('members/{id}/addhusband', 'MemberController@addhusband')->name('addhusband');
    Route::get('members/{id}/editmember', 'MemberController@editmember')->name('editmember');
    Route::put('member/{id}/update', 'MemberController@updated_member')->name('member.update');
    Route::get('member/find', 'MemberController@find_member')->name('member.find');
    Route::post('member/family_details', 'MemberController@family_details')->name('member.family_details');








     Route::get('age_report', 'MemberController@age_report')->name('age_report');
    Route::get('age_report_list', 'MemberController@age_report_list')->name('age_report_list');


    Route::get('qualification_report', 'MemberController@qualification_report')->name('qualification_report');
    Route::get('qualification_report_list', 'MemberController@qualification_report_list')->name('qualification_report_list');

    Route::get('gender_report', 'MemberController@gender_report')->name('gender_report');
    Route::get('gender_report_list', 'MemberController@gender_report_list')->name('gender_report_list');

    Route::get('maritial_report', 'MemberController@maritial_report')->name('maritial_report');
    Route::get('maritial_report_list', 'MemberController@maritial_report_list')->name('maritial_report_list');

    Route::get('income_report', 'MemberController@income_report')->name('income_report');
    Route::get('income_report_list', 'MemberController@income_report_list')->name('income_report_list');

    Route::get('profession_report', 'MemberController@profession_report')->name('profession_report');
    Route::get('profession_report_list', 'MemberController@profession_report_list')->name('profession_report_list');


     Route::get('decease_report', 'MemberController@decease_report')->name('decease_report');
    Route::get('decease_report_list', 'MemberController@decease_report_list')->name('decease_report_list');



     Route::get('fee_report', 'MemberController@fee_report')->name('fee_report');
     Route::get('fee_report_list', 'MemberController@fee_report_list')->name('fee_report_list');

     Route::get('change_password', 'MemberController@change_password')->name('change_password');
     Route::post('change_password', 'MemberController@change_password_submit')->name('change_password_submit');
     Route::post('check_old_password', 'MemberController@check_old_password')->name('check_old_password');

Route::get('create_user', 'MemberController@create_user')->name('user.add_new');

Route::post('store_user', 'MemberController@store_user')->name('store_user');



});

